• Article for your preferred language does not exist. Below is international version of the article.

Article ID: 115913, created on Apr 5, 2013, last review on Apr 19, 2013

  • Applies to:
  • Business Automation 5.4

Installation

PostgreSQL 9.0.13 packages must be installed on nodes that host:
- The PBA System Database
- The PBA Application

For the Hotfix, the following packages should be updated on the PBA System Database server:
postgresql-9.0.13-5.1
postgresql-libs-9.0.13-5.1
postgresql-server-9.0.13-5.1
postgresql-upgrade-9.0.13-5.1


The following packages should also be installed on the PBA Application server:
postgresql-9.0.13-5.1
postgresql-libs-9.0.13-5.1


Note:

PostgreSQL 9.0.13 is very sensitive to the "hostssl" directive in the pg_hba.conf file. This directive controls access to the DB via SSL. When this directive is in use, complementary configurations must be made in the postgresql.conf file and server certificates must be present (http://www.postgresql.org/docs/9.0/static/auth-pg-hba-conf.html, http://www.postgresql.org/docs/9.0/static/ssl-tcp.html). If these conditions are not met, then PostgreSQL will refuse to start.

If SSL connections to the DB are not used, then "hostssl" directives must be disabled in the pg_hba.conf file. Make sure that all necessary complementary configurations are made as well.

Installation on PBA System Database node

1. Back up the PBA Database as it is described in the "PBA for Linux Upgrade Guide."

2. Download the following RPMs to the server:

postgresql-9.0.13-5.1.*.rpm
postgresql-libs-9.0.13-5.1.*.rpm
postgresql-server-9.0.13-5.1.*.rpm
postgresql-upgrade-9.0.13-5.1.*.rpm


3. Stop PBA services on the PBA Application server:
/etc/init.d/pba stop

4. Stop PostgreSQL service on the PBA Database server:
/etc/init.d/postgresql stop

5. Update PostgreSQL RPMs:

rpm -Uvh postgresql-9.0.13-5.1.*.rpm postgresql-libs-9.0.13-5.1.*.rpm postgresql-server-9.0.13-5.1.*.rpm postgresql-upgrade-9.0.13-5.1.*.rpm

6. Start PostgreSQL service:
  /etc/init.d/postgresql start 

7. Start PBA services:
/etc/init.d/pba start

Installation on PBA Application node

1. Download the following RPMs to the server:

postgresql-9.0.13-5.1.*.rpm
postgresql-libs-9.0.13-5.1.*.rpm


2. Update PostgreSQL RPMs:

rpm -Uvh postgresql-9.0.13-5.1.*.rpm postgresql-libs-9.0.13-5.1.*.rpm


Packages

PBA Database RHEL 6 node:
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el6/postgresql-9.0.13-5.1.el6.x86_64.rpm
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el6/postgresql-libs-9.0.13-5.1.el6.x86_64.rpm
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el6/postgresql-server-9.0.13-5.1.el6.x86_64.rpm
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el6/postgresql-upgrade-9.0.13-5.1.el6.x86_64.rpm

PBA Application RHEL 6 node:
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el6/postgresql-9.0.13-5.1.el6.x86_64.rpm
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el6/postgresql-libs-9.0.13-5.1.el6.x86_64.rpm

PBA Database RHES 4 node:
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el4/postgresql-9.0.13-5.1.el4.i586.rpm
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el4/postgresql-libs-9.0.13-5.1.el4.i586.rpm
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el4/postgresql-server-9.0.13-5.1.el4.i586.rpm
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el4/postgresql-upgrade-9.0.13-5.1.el4.i586.rpm

PBA Application RHES 4 node:
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el4/postgresql-9.0.13-5.1.el4.i586.rpm
http://download.pa.parallels.com/pba/5.4/hotfixes/postgresql-9.0.13/el4/postgresql-libs-9.0.13-5.1.el4.i586.rpm
 

210d017ddc3a076d22f0f865b1cf0730 caea8340e2d186a540518d08602aa065 198398b282069eaf2d94a6af87dcb3ff 92711db0799e8aefe8e51f12dace0496 e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF